<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Donatarias Generación para donat11 
	:: By Victor Manuel Vargas Mosqueda ::
	:: Ultima modificacion DHT 17/01/2012 Se modifica salida del elemento version a 1.1
	:: 19/01/2010 -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:donat="http://www.sat.gob.mx/donat">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
		<xsl:element name="donat:Complemento">
			<xsl:element name="donat:Donatarias">
				<xsl:attribute name="version">1.1</xsl:attribute>
				<xsl:attribute name="noAutorizacion">
					<xsl:value-of select="substring-before(Datos/Documento/@Dato2,'|')"/>
				</xsl:attribute>
				<xsl:attribute name="fechaAutorizacion">
					<xsl:variable name="Inicio" select='string-length(substring-before(Datos/Documento/@Dato2,"|"))+2'/>
					<xsl:variable name="Fin" select='string-length(substring-after(substring-after(Datos/Documento/@Dato2,"|"),"|"))-2'/>
					<xsl:value-of select='substring(Datos/Documento/@Dato2,$Inicio,10)'/>
				</xsl:attribute>
				<xsl:attribute name="leyenda">Este comprobante ampara un donativo, el cual será destinado por la donataria a los fines propios de su objeto social. En el caso de que los bienes donados hayan sido deducidos previamente para los efectos del impuesto sobre la renta, este donativo no es deducible. La reproducción no autorizada de este comprobante constituye un delito en los términos de las disposiciones fiscales.</xsl:attribute>
			</xsl:element>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>
