<?xml version="1.0" encoding="UTF-8"?>
<!-- ComplementoConcepto PorCuentadeTerceros :: By Daniel Herrera Tello :: -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" encoding="UTF-8"/>
	<xsl:template match="/">
		<!-- Iniciamos el tratamiento de los campos de terceros -->
		<xsl:for-each select="Datos/Documento/Partidas/Partida">
			<xsl:for-each select="Terceros/Tercero">
				<xsl:text>1.0</xsl:text>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="@RFC"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="@Nombre"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@Calle"/>
				<xsl:text>|</xsl:text>
				<xsl:if test="Domicilio/@noExterior !=''">
					<xsl:value-of select="Domicilio/@noExterior"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@noInterior !=''">
					<xsl:value-of select="Domicilio/@noInterior"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@Colonia !=''">
					<xsl:value-of select="Domicilio/@Colonia"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@Localidad !=''">
					<xsl:value-of select="Domicilio/@Localidad"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:if test="Domicilio/@Referencia !=''">
					<xsl:value-of select="Domicilio/@Referencia"/>
					<xsl:text>|</xsl:text>
				</xsl:if>
				<xsl:value-of select="Domicilio/@Municipio"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@Estado"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@Pais"/>
				<xsl:text>|</xsl:text>
				<xsl:value-of select="Domicilio/@CodigoPostal"/>
				<xsl:text>|</xsl:text>
			</xsl:for-each>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>