<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Donatarias Cadena Original para version 1.1
       :: By Daniel Herrera ::
	   :: 12/01/2012 -->
<!--  :: Ultima modificacion DHT 02042012. Se agrega el texto de la leyenda a Cadena Original -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:donat="http://www.sat.gob.mx/donat">
	<!-- Manejador de nodos tipo donat:Donatarias -->
	<xsl:output method="text" encoding="UTF-8"/>
	<xsl:template match="/">
		<!-- Iniciamos el tratamiento de los atributos de donatarias -->
		<!--xsl:variable name="Datos" select='"325-SAT-09-II-IV-(LSM)-48060|15/07/2003|PREPARATORIA"'/-->
		<xsl:text>1.1</xsl:text>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="substring-before(Datos/Documento/@Dato2,'|')"/>
		<!--xsl:value-of select='substring-before($Datos,"|")'/-->
		<xsl:text>|</xsl:text>
		<xsl:variable name="Inicio" select='string-length(substring-before(Datos/Documento/@Dato2,"|"))+2'/>
		<xsl:variable name="Fin" select='string-length(substring-after(substring-after(Datos/Documento/@Dato2,"|"),"|"))-2'/>
		<xsl:value-of select='substring(Datos/Documento/@Dato2,$Inicio,10)'/>
		<!--xsl:variable name="Inicio" select='string-length(substring-before($Datos,"|"))+2'/>
		<xsl:variable name="Fin" select='string-length(substring-after(substring-after($Datos,"|"),"|"))-2'/>
		<xsl:value-of select='substring($Datos,$Inicio,$Fin)'/-->
		<xsl:text>|</xsl:text>
		<xsl:text>Este comprobante ampara un donativo, el cual será destinado por la donataria a los fines propios de su objeto social. En el caso de que los bienes donados hayan sido deducidos previamente para los efectos del impuesto sobre la renta, este donativo no es deducible. La reproducción no autorizada de este comprobante constituye un delito en los términos de las disposiciones fiscales.</xsl:text>
		<xsl:text>|</xsl:text>
	</xsl:template>
</xsl:stylesheet>