<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Donatarias Recepción Cadena Original  (AdminCFD)
	:: By Victor Manuel Vargas Mosqueda  :: -->
<!--Ultima modificacion DHT 02042012. Se agrega la leyenda para formar parte de la cadena original ya que lo requiere la version 1.1 del complemento -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:Comprobante="http://www.sat.gob.mx/cfd/3" xmlns:donat="http://www.sat.gob.mx/donat">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
	<!--xsl:template match="donat:Donatarias">
		< Iniciamos el tratamiento de los campos de donatarias -->
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/donat:Donatarias/@version"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/donat:Donatarias/@noAutorizacion"/>
		<xsl:text>|</xsl:text>
		<xsl:value-of select="/Comprobante:Comprobante/Comprobante:Complemento/donat:Donatarias/@fechaAutorizacion"/>
		<xsl:text>|</xsl:text>
		<xsl:text>Este comprobante ampara un donativo, el cual será destinado por la donataria a los fines propios de su objeto social. En el caso de que los bienes donados hayan sido deducidos previamente para los efectos del impuesto sobre la renta, este donativo no es deducible. La reproducción no autorizada de este comprobante constituye un delito en los términos de las disposiciones fiscales.</xsl:text>
		<xsl:text>|</xsl:text>
	</xsl:template>
</xsl:stylesheet>
