<?xml version="1.0" encoding="UTF-8"?>
<!-- Complemento Impuestos Locales Cadena Original
       :: By Victor Manuel Vargas Mosqueda ::
	   :: 10/12/2010 -->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:implocal="http://www.sat.gob.mx/implocal">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<!--xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/-->
	<xsl:template match="/">
		<script language="javascript">
				var TotRet = 0.00;
				var TotTras = 0.00;
				var primTotRet="";
				var numpos = 0;
				var tamCad=0;
				var valida=0;
				function SumaRet(sImpRet)
				{
					TotRet += sImpRet;
				}
				function TotalRet()
				{
					primTotRet=""+TotRet;
					numpos = primTotRet.indexOf(".")+1;
				    tamCad=0+primTotRet.length;
					valida=tamCad-numpos;
					if(valida &lt;= 7){
					document.write(primTotRet);}
					else{document.write(primTotRet.substring(0,numpos+2));}
				}
				function SumaTras(sImpTras)
				{
					TotTras += sImpTras;
				}
				function TotalTras()
				{
					primTotTras=""+TotTras;
					numpos = primTotTras.indexOf(".")+1;
					tamCad=primTotTras.length;
					valida=tamCad-numpos;
					if(valida &lt;= 7){
					document.write(primTotTras);}
					else{document.write(primTotTras.substring(0,numpos+2));}
				}
			
		</script>
		<!-- Iniciamos el tratamiento de los campos de impuestos locales -->
		<xsl:text>1.0</xsl:text>
		<xsl:text>|</xsl:text>
		<xsl:variable name="no_imps" select="count(Datos/Documento/Partidas/Partida[@Tipo='I'])"/>
		<xsl:choose>
			<xsl:when test="$no_imps &gt; 0">
				<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Totaliza Retenidos -->
					<xsl:if test="@ImpTotal &lt; 0">
						<script>SumaRet(<xsl:value-of select="(@ImpTotal * -1.00)"/>)</script>
					</xsl:if>
				</xsl:for-each>
				<script>TotalRet()</script>
				<xsl:text>|</xsl:text>
				<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Totaliza Trasladados -->
					<xsl:if test="@ImpTotal &gt; 0">
						<script>SumaTras(<xsl:value-of select="@ImpTotal"/>)</script>
					</xsl:if>
				</xsl:for-each>
				<script>TotalTras()</script>
				<xsl:text>|</xsl:text>
				<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Despliega Retenidos -->
					<xsl:if test="@ImpTotal &lt; 0">
						<xsl:value-of select="@NombreImpuesto"/>
						<xsl:text>|</xsl:text>
						<xsl:value-of select="@PorcentajeImpuesto"/>
						<xsl:text>|</xsl:text>
						<xsl:value-of select="(@ImpTotal * -1.00)"/>
						<xsl:text>|</xsl:text>
					</xsl:if>
				</xsl:for-each>
				<xsl:for-each select="Datos/Documento/Partidas/Partida[@Tipo='I']"><!-- Despliega Trasladados -->
					<xsl:if test="@ImpTotal &gt; 0">
						<xsl:value-of select="@NombreImpuesto"/>
						<xsl:text>|</xsl:text>
						<xsl:value-of select="@PorcentajeImpuesto"/>
						<xsl:text>|</xsl:text>
						<xsl:value-of select="@ImpTotal"/>
						<xsl:text>|</xsl:text>
					</xsl:if>
				</xsl:for-each>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>0.00|</xsl:text>
				<xsl:text>0.00|</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>